<template>
  <div>
    <div class="gt-md">
      <div align="center">
        <div class="cover-main">
          <div class="cover-hotpic" v-show="bookData.hotitem == '1'">
            <img src="../../public/image/hot.gif" style="width: 80px" alt="" />
          </div>
          <div class="cover-newpic q-px-md" v-show="bookData.complete == '1'">
            จบแล้ว
          </div>
          <img
            :src="openPic(bookData.bookid)"
            :alt="bookData.title"
            class="cover-pic"
            @click="selectBook(bookData.bookid)"
          />

          <div
            class="cover-title ellipsis cover-hover cursor-pointer"
            @click="selectBook(bookData.bookid)"
            align="center"
            :title="bookData.title"
          >
            {{ bookData.title }}
          </div>
          <div class="row font-12 justify-between cover-title text-grey">
            <div>
              ตอน
              {{ bookData.chapter }}
            </div>
            <div>{{ dateShow(bookData.timestamp) }}</div>
          </div>
        </div>
      </div>
    </div>

    <!-- mobile -->
    <div align="center" class="lt-sm">
      <div class="cover-main-m">
        <div class="cover-hotpic-m" v-show="bookData.hotitem == '1'">
          <img src="../../public/image/hot.gif" alt="" style="width: 65px" />
        </div>
        <div class="cover-newpic-m q-px-md" v-show="bookData.complete == '1'">
          จบแล้ว
        </div>
        <img
          :src="openPic(bookData.bookid)"
          :alt="bookData.title"
          class="cover-pic-m"
          @click="selectBook(bookData.bookid)"
        />

        <div class="cover-title-m ellipsis">
          {{ bookData.title }}
        </div>
        <div class="row font-10 justify-between cover-m-title3">
          <div class="q-pl-sm">ตอน {{ bookData.chapter }}</div>
          <div class="q-pr-md">{{ dateShow(bookData.timestamp) }}</div>
        </div>
      </div>
    </div>

    <!-- tablet -->
    <div class="gt-xs lt-lg">
      <div align="center">
        <div class="cover-main">
          <div class="cover-hotpic-t" v-show="bookData.hotitem == '1'">
            <img src="../../public/image/hot.gif" alt="" style="width: 80px" />
          </div>
          <div class="cover-newpic-t q-px-sm" v-show="bookData.complete == '1'">
            จบแล้ว
          </div>
          <img
            :src="openPic(bookData.bookid)"
            :alt="bookData.title"
            class="cover-t-pic"
            @click="selectBook(bookData.bookid)"
          />
          <div
            class="q-px-sm cover-m-title ellipsis"
            :title="bookData.title"
            align="center"
          >
            {{ bookData.title }}
          </div>
          <div class="row justify-between cover-m-title2 text-grey">
            <div class="q-pl-sm">ตอน {{ bookData.chapter }}</div>
            <div class="q-pr-md">{{ dateShow(bookData.timestamp) }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["bookData"],
  methods: {
    dateShow(booktime) {
      let timeTemp = booktime.split(" ")[0].split("-");
      let timeFinal = timeTemp[2] + "/" + timeTemp[1] + "/" + timeTemp[0];
      return timeFinal;
    },
    selectBook(id) {
      this.$router.push("/chapter/" + id);
    },
    openPic(id) {
      return this.serverpath + "cover/" + id + ".jpg";
    },
  },
  // watch: {
  //   data: function (newData, oldData) {
  //     console.log(newData);
  //   },
  // },
};
</script>

<style lang="scss" scoped>
.cover-m-pic {
  // max-width: 100%;
  width: 140px;
  height: 210px;
  padding-top: 0px;
  cursor: pointer;
}
.cover-t-pic {
  // max-width: 100%;
  width: 170px;
  height: 255px;
  padding-top: 0px;
  cursor: pointer;
}
.cover-pic {
  max-width: 100%;
  width: 200px;
  height: 300px;
  padding-top: 30px;
  cursor: pointer;
}
.cover-title {
  width: 200px;
  font-size: 14px;
  height: 20px;
  margin-bottom: 0px;
  text-align: center;
}
.cover-m-title {
  width: 180px;
  font-size: 14px;
  height: 20px;
  margin-bottom: 0px;
  text-align: center;
}
.cover-m-title2 {
  width: 180px;
  font-size: 14px;
  height: 20px;
  margin-bottom: 0px;
  text-align: left;
}
.cover-m-title3 {
  width: 160px;
  font-size: 12px;
  height: 20px;
  margin-bottom: 0px;
  text-align: left;
}
.cover-hotpic {
  position: absolute;
  top: -5px;
  right: 30px;
}
.cover-hotpic-m {
  position: absolute;
  top: 0px;
  right: 0px;
}
.cover-hotpic-t {
  position: absolute;
  top: -35px;
  right: -12px;
}
.cover-newpic {
  position: absolute;
  top: 30px;
  left: calc(50% - 100px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 10px;
}
.cover-newpic-m {
  position: absolute;
  top: 30px;
  font-size: 12px;
  left: calc(50% - 70px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 10px;
}
.cover-newpic-t {
  position: absolute;
  top: 0px;
  left: calc(50% - 85px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 10px;
}
.cover-main {
  position: relative;
  height: 360px;
}
.cover-main-t {
  position: relative;
  height: 350px;
  width: 170px;
}
.cover-main-m {
  position: relative;
  height: 310px;
  width: 150px;
}

.cover-pic-t {
  width: 140px;
  height: 240px;
  padding-top: 30px;
  cursor: pointer;
}
.cover-pic-m {
  width: 140px;
  height: 240px;
  padding-top: 30px;
  cursor: pointer;
}
.cover-title-m {
  width: 95%;
  font-size: 14px;
  height: 20px;
  margin-bottom: 5px;
}
.dot-blue {
  color: #2d6be4;
}
.cover-main:hover {
  .cover-hover {
    text-decoration: underline;
  }
}
</style>
